Skip to main content
POST
Lookup payment options

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

workflowCode
string
required

Path parameter to specify the workflow code. Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$
executionId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json
amount
object
meta
object

Metadata for the context of an execution. Includes Payrails-defined structures for most common fields used in workflows, but can also be extended by merchant or provider-specific fields. For more information, visit our Meta Fields guide. See Meta for every field.

Response

The lookup action was executed.

name
enum<string>
required

Lookup the available payment methods and instruments.

Available options:
lookup
actionId
string<uuid>
required

Unique identifier for this action execution. If its processing is done asynchronously, you will receive a notification with the same actionId.

executedAt
string<date-time>
required

Date and time when execution of the Action was started.

Links to the next possible actions that can be taken.

data
object
required

Lookup action results.

workspaceId
string<uuid>

Unique identifier of a workspace in Payrails.

Last modified on October 7, 2026